Description

Currently the engine supports a custom call action with parameters (aka. "external nodes"), but does not seem to support rpc calls
without parameters (which is a different method signature on the remote server AFAIR).

Related issues:
Related to RSB SCXML Engine - Feature # 1965: Implement custom action for RPC... In Progress 08/27/2014

Associated revisions
Revision e2c3efae - 09/22/2014 02:04 PM - J. Wienke

Support void data for rsb

    -  src/main/java/rsb/scxml/RSBDataParser.java: Added type parser for void
    -  src/main/java/rsb/scxml/customaction/CallAction.java: Support void

                                                        calls
    -  src/main/java/rsb/scxml/customaction/PublishAction.java: support void

                                                           data
    -  src/test/java/rsb/scxml/EngineTest.java: test for void calls added
    -  src/test/resources/CallActionVoid.xml: new test spec for void calls

fixes #2006

History
#1 - 09/16/2014 05:14 PM - Anonymous
- Related to Feature #1965: Implement custom action for RPC calls added

#2 - 09/16/2014 05:51 PM - J. Wienke

Is this necessary for euroc? Otherwise I'd like to pass this to someone else.

#3 - 09/16/2014 06:07 PM - Anonymous

Yes, we have this situatuion in EUROC. Currently we hack around this with a custom action that has an unused nonsense parameter.

#4 - 09/22/2014 02:04 PM - J. Wienke
- Status changed from New to In Progress

#5 - 09/22/2014 02:06 PM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:e2c3efaefc97aa4c44b31cf78b82b9f5922f59a0.

#6 - 09/22/2014 02:07 PM - J. Wienke

The following format is now supported:

<rsb:call rsb:server="/rsbtest" rsb:method="hello">
    <rsb:data rsb:type="void"></rsb:data>
</rsb:call>
